The base interface for any ConvergenceDomain-related events.

### Hierarchy

- IConvergenceEvent
  - IConvergenceDomainEvent

### Implemented by

- AuthenticatedEvent
- AuthenticatingEvent
- AuthenticationFailedEvent
- ConnectedEvent
- ConnectingEvent
- ConnectionFailedEvent
- ConnectionScheduledEvent
- DisconnectedEvent
- ErrorEvent
- InterruptedEvent

## Index

### Properties

- domain
- name

## Properties

### domain

domain: ConvergenceDomain

The domain on which this event occurred.

### name

name: string

Inherited from IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.